void DeleteEnemy(int id);

void OrbitalFlight2(
	int num_enemy,           // 적기의 숫자
	float ex[], float ey[],  // 적기의 좌표
	int index[],             // 궤적 데이터를 가리키는 인덱서
	int timer[],		 // 이동시간을 관리하는 타이머
	int num_orbit,           // 궤적 데이터의 요소수
	float vx[], float vy[]   // 궤적 데이터 (속도)
	int mov_time[]		 // 궤적 데이터 (이동시간)
) {
	for (int i=0; i<num_enemy; i++) {
		
		// 적기 좌표의 갱신:
		// 궤적 데이터(속도)를 사용하여 적기를 움직임.
		ex[i]+=vx[index[i]];
		ey[i]+=vy[index[i]];
		
		// 타이머를 진행시킴:
		// 타이머가 궤적 데이터의 이동시간을 넘으면
		// 인덱스를 증가시킴.
		timer[i]++;
		if (timer[i] == mov_time[i]) {
			timer[i] = 0;

			// 인덱스를 증가시키기:
			// 궤적 데이터의 마지막에 도달했다면 적기를 제거함.
			// 적기를 제거하는 구체적인 처리는 DeleteEnemy 함수에서 수행하기로 함.
			index[i]++;
			if (index[i] == num_orbit) DeleteEnemy(i);
		}
	}
}


